VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Demonstrate PathLinks"
   ClientHeight    =   5340
   ClientLeft      =   120
   ClientTop       =   420
   ClientWidth     =   6060
   BeginProperty Font 
      Name            =   "Microsoft Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   5340
   ScaleWidth      =   6060
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRead2 
      Caption         =   "Read 2"
      Height          =   495
      Left            =   4680
      TabIndex        =   4
      Top             =   180
      Width           =   1245
   End
   Begin VB.CommandButton cmdCreate2 
      Caption         =   "Create 2"
      Height          =   495
      Left            =   3270
      TabIndex        =   3
      Top             =   180
      Width           =   1245
   End
   Begin VB.CommandButton cmdRead1 
      Caption         =   "Read 1"
      Height          =   495
      Left            =   1530
      TabIndex        =   2
      Top             =   180
      Width           =   1245
   End
   Begin VB.CommandButton cmdCreate1 
      Caption         =   "Create 1"
      Height          =   495
      Left            =   150
      TabIndex        =   1
      Top             =   180
      Width           =   1245
   End
   Begin VB.TextBox txtLog 
      Height          =   4515
      Left            =   30
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   780
      Width           =   5985
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub CreateFile(ByVal FileName As String)
    Dim intFile As Integer
    Dim I As Integer
    
    intFile = FreeFile(0)
    Open FileName For Output As #intFile
    Print #intFile, "File was created in symlinked directory."
    For I = 1 To 10
        Print #intFile, I; ":"; Format$(Rnd() * 1000#, "0.0########")
    Next
    Close #intFile
End Sub

Private Sub ReadFile(ByVal FileName As String)
    Dim intFile As Integer
    Dim strLine As String
    
    intFile = FreeFile(0)
    Open FileName For Input As #intFile
    txtLog.Text = ""
    txtLog.SelStart = 0
    txtLog.SelText = "File: " & FileName & vbNewLine & vbNewLine
    Do Until EOF(intFile)
        Line Input #intFile, strLine
        txtLog.SelText = strLine & vbNewLine
    Loop
    Close #intFile
End Sub

Private Sub cmdCreate1_Click()
    CreateFile App.Path & "\temp\stuff\file.txt"
    cmdRead1.Enabled = True
End Sub

Private Sub cmdCreate2_Click()
    CreateFile App.Path & "\other\file.txt"
    cmdRead2.Enabled = True
End Sub

Private Sub cmdRead1_Click()
    ReadFile App.Path & "\temp\stuff\file.txt"
End Sub

Private Sub cmdRead2_Click()
    ReadFile App.Path & "\other\file.txt"
End Sub

Private Sub Form_Load()
    Randomize
    
    On Error Resume Next
    GetAttr App.Path & "\temp\stuff\file.txt"
    cmdRead1.Enabled = Not CBool(Err)
    Err.Clear
    GetAttr App.Path & "\other\file.txt"
    cmdRead2.Enabled = Not CBool(Err)
End Sub

Private Sub Form_Resize()
    Dim sngLogTop As Single
    
    If WindowState <> vbMinimized Then
        If Width < 6300 Then Width = 6300
        If Height < 3600 Then Height = 3800
        With cmdCreate1
            .Move 150, 150
            cmdRead1.Move .Left + 150 + .Width, 150
        End With
        With cmdRead2
            .Move ScaleWidth - 150 - .Width, 150
            cmdCreate2.Move .Left - 150 - cmdCreate2.Width, 150
            sngLogTop = .Top + .Height + 150
        End With
        txtLog.Move 0, sngLogTop, ScaleWidth, ScaleHeight - sngLogTop
    End If
End Sub
