Attribute VB_Name = "Module1"
Option Explicit

Private Type tagInitCommonControlsEx
   lngSize As Long
   lngICC As Long
End Type

Private Const ICC_USEREX_CLASSES = &H200

Private Declare Function InitCommonControlsEx Lib "comctl32" ( _
    iccex As tagInitCommonControlsEx) As Boolean

Private Sub InitCommonControls()
    Dim iccex As tagInitCommonControlsEx
    
    With iccex
        .lngSize = LenB(iccex)
        .lngICC = ICC_USEREX_CLASSES
    End With
    On Error Resume Next
    InitCommonControlsEx iccex
End Sub

Private Sub Main()
    Const ssfDESKTOP = 0
    
    InitCommonControls
    With New PathLinks
        Select Case .Publish(Array("demojunk", "temp\stuff", "other", "demojunkfile.txt"))
            Case plPublishEnum.plpElevationRequired
                If STDlg.TaskDialog(0, _
                                    "Run this program as administrator once!", _
                                    TDCBF_OK_BUTTON Or TDCBF_CANCEL_BUTTON, TD_SHIELD_ICON, , _
                                    "First run") = IDOK Then
                    With CreateObject("Shell.Application")
                        With .NameSpace(ssfDESKTOP).ParseName(App.Path & "\" & App.EXEName & ".exe")
                            .InvokeVerb "RunAs"
                        End With
                    End With
                End If
                Exit Sub
            
            Case plPublishEnum.plpPublished
                STDlg.TaskDialog 0, _
                                 "Installation  finalized!", _
                                 TDCBF_OK_BUTTON, _
                                 TD_INFORMATION_ICON, , _
                                 "Install complete"
                Exit Sub
            
            Case plPublishEnum.plpFailed
                Err.Raise &H8004C300, "PathLinks.Publish", "Could not find ""Public"" folder"
        End Select
    End With
    
    Form1.Show
End Sub

